Drupal.theme.prototype.mkdruResult = function(hit, num, detailLink) {
  var html = "";
  html += '<li class="mkdru-result" id="rec_' + hit.recid + '" >'
          + '<span>' + num + '. </span>'
          + '<a href="' + detailLink + '" class="mkdru-result-title">'
          + hit["md-title"] + '</a> ';
  if (hit["md-title-remainder"] !== undefined) {
    html += '<span class="mkdru-result-title-remainder">' 
            + hit["md-title-remainder"] + ' </span>';
  }
  if (hit["md-title-responsibility"] !== undefined) {
    html += '<span class="mkdru-result-author"><i>'
            + hit["md-title-responsibility"]
            + '</i></span>';
  }
  html += '</li>';
  return html;
};

Drupal.theme.prototype.mkdruDetail = function(data) {
  var html = '<div class="html" id="det_'+data.recid+'"><table>';
  if (data["md-title"] != undefined) {
    html += '<tr><td><b>Title</b></td><td><b>:</b> '+data["md-title"];
  if (data["md-title-remainder"] !== undefined) {
    html += ' : <span>' + data["md-title-remainder"] + ' </span>';
  }
  if (data["md-title-responsibility"] !== undefined) {
    html += ' <span><i>'+ data["md-title-responsibility"] +'</i></span>';
  }
  html += '</td></tr>';
  }
  if (data["md-date"] != undefined)
    html += '<tr><td><b>Date</b></td><td><b>:</b> ' + data["md-date"] + '</td></tr>';
  if (data["md-author"] != undefined)
    html += '<tr><td><b>Author</b></td><td><b>:</b> ' + data["md-author"] + '</td></tr>';
  if (data["md-electronic-url"] != undefined)
    html += '<tr><td><b>URL</b></td><td><b>:</b> <a href="' + data["md-electronic-url"] + '" target="_blank">' + data["md-electronic-url"] + '</a>' + '</td></tr>';
  if (data["location"][0]["md-subject"] != undefined)
    html += '<tr><td><b>Subject</b></td><td><b>:</b> ' + data["location"][0]["md-subject"] + '</td></tr>';
  if (data["location"][0]["@name"] != undefined)
    html += '<tr><td><b>Location</b></td><td><b>:</b> ' + data["location"][0]["@name"] + " (" +data["location"][0]["@id"] + ")" + '</td></tr>';
  html += '</table></div>';
  html += '<a class="mkdru-detail-back">Return to result list...</a>';
  return html;
};

Drupal.theme.prototype.mkdruPager = function (data, curPage, pages) {
    var onsides = 6;

    var firstClkbl = ( curPage - onsides > 0 ) 
        ? curPage - onsides
        : 1;

    var lastClkbl = firstClkbl + 2*onsides < pages
        ? firstClkbl + 2*onsides
        : pages;

    var prev = '<span id="prev">&#60;&#60; Prev</span> | ';
    if (curPage > 1)
        var prev = '<a href="#" class="mkdru-prev">'
        +'&#60;&#60; Prev</a> | ';

    var middle = '';
    for(var i = firstClkbl; i <= lastClkbl; i++) {
        var numLabel = i;
        if(i == curPage)
            numLabel = '<b>' + i + '</b>';

        middle += '<a href="#" onclick="mkdru.showPage(' + i + ')"> '
            + numLabel + ' </a>';
    }

    var next = ' | <span id="next">Next &#62;&#62;</span>';
    if (pages - curPage > 0)
    var next = ' | <a href="#" class="mkdru-next">'
        +'Next &#62;&#62;</a>';

    predots = '';
    if (firstClkbl > 1)
        predots = '...';

    postdots = '';
    if (lastClkbl < pages)
        postdots = '...';

    return (prev + predots + middle + postdots + next);
};

Drupal.theme.prototype.mkdruTerm = function (term, freq, linkClass, id) {
  var html = '<a href="#"';
  if (id)
    html += ' target_id="' + id + '"';
  html += ' class="' + linkClass + '">' + term + '</a><span> (' + freq + ')</span><br/>';
  return html;
};